Subject: Re: ram not at 0? anyone?

From: "David H. Lynch Jr." <[email-masked]>
Date: Tue, 01 May 2007 00:55:05 -0400

rvk wrote:
> I've learned a little more, looking at PPC_MEMSTART from
> include/asm-ppc/page.h, and it seems there is some relevant infra.  However
> I'm still worried about the tophys() and tovirt() implementations used by
> head_4xx.S. Can anyone comment who has experience with RAM not at physical
> 0? I don't have the board yet, but it will be Xilinx Virtex 4 ppc405.
>   
    You might want to try posting to the uClinux list.
    Boards running uClinux are much more likely to have odd memory
configurations.

    I am fairly certain that you can get a board running with base
memory elsewhere than 0.
    But I also suspect it will add substantially to your time.

    My hardware engineers told me that memory at 0 was going to be
impossible,
    until I told them it make take 2-3 more months to get Linux running.
    Miraculously I got new firmware with memory at 0 the next day.

    The PPC405 is part of the V4 FPGA, regardless of the rest of the
board design,
    what the ppc sees is almost certainly controlled by the FPGA.
    After you get your board working with an odd memory map, then you
will have to maintain it.
    Your board will become the test case for flexible memory handling
for future Linux development.
    That means future grief for you.

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein